This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 187537 - Missing .kernelrelease in kernel-devel
Missing .kernelrelease in kernel-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On: 178491
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 14:17 EST by Ville Skyttä
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-28 23:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-03-31 14:17:51 EST
This issue crept in the FC4 2.6.16-1.2069_FC4 update too.


+++ This bug was initially created as a clone of Bug #178491 +++

Recent FC5test2+ kernel-devel packages are missing the top-level .kernelrelease
file.  The top-level Makefile appears to use it nowadays for defining KERNELRELEASE.

The effect of KERNELRELEASE being empty is that the documented kbuild Makefile
method (see Documentation/kbuild/modules.txt, section 4) no longer works as
expected; in the following, the "kbuild part" is never entered when invoking
"make -C $kernelsrcdir M=`pwd`" like also instructed in kbuild/modules.txt.

    ifneq ($(KERNELRELEASE),)
    # kbuild part of makefile
    [...]
    else
    # Normal Makefile
    [...]
    endif

-- Additional comment from davej@redhat.com on 2006-01-24 00:18 EST --
fixed
Comment 1 Dave Jones 2006-03-31 16:56:26 EST
fixed in cvs yesterday, will be in next update
Comment 2 Roy A. Gilmore 2006-04-03 03:02:26 EDT
The most obvious temporary workaround:
  cd /usr/src/kernels/2.6.16-1.2069_FC4-i586
  make .kernelrelease
Comment 3 Roy A. Gilmore 2006-04-03 03:15:11 EDT
Whoops, replace the '-i586' with your arch, sorry

Note You need to log in before you can comment on or make changes to this bug.